#!/bin/bash
# Quick and dirty script to run NuXMV on every model in a directory.

# Delete the old outputs -- sorry MiZo, I'm afraid of the old data.
rm measurement_raw.txt
rm measurement.txt

for f in ./*.smv
do
  # Just some info
	echo "=============================================================" >> measurement_raw.txt
	echo "!!! Model: $f" >> measurement_raw.txt
	echo "!! Currently measuring: $f"
	
	# It's time to measure!
	timeout 1200s ./nuXmv -dynamic -df -dcx -source nuxmvscript.script $f 1>> measurement_raw.txt 2>&1
	
	# wait for locks
	sleep 5s
done

# Writing "header" in the output file
echo "NUXMV MEASUREMENTS FOR THE CAV PAPER, started at:" > measurement.txt
date >> measurement.txt

# Deleting the noise from the output file.
grep -v "\*\*\*" measurement_raw.txt > temp.txt
grep -v "WARNING" temp.txt > temp2.txt
# Removing empty lines
grep -v "^$" temp2.txt >> measurement.txt
rm temp.txt
rm temp2.txt
